%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:             jboss-logging
Version:          3.1.4
Release:          %mkrel 5
Group:            Development/Java
Summary:          The JBoss Logging Framework
License:          ASL 2.0
URL:              https://github.com/jboss-logging/jboss-logging
Source0:          https://github.com/jboss-logging/jboss-logging/archive/%{namedversion}.tar.gz

Patch0:           0001-SLF4j-1.7-upgrade.patch

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    jboss-logmanager
BuildRequires:    slf4j
BuildRequires:    log4j
BuildRequires:    apiviz
BuildRequires:    jboss-parent
BuildRequires:    jdepend
BuildRequires:    maven-surefire-provider-junit

%description
This package contains the JBoss Logging Framework.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-logging-%{namedversion}

%patch0 -p1

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc src/main/resources/META-INF/LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc src/main/resources/META-INF/LICENSE.txt



%changelog
* Fri Feb 26 2016 neoclust <neoclust> 3.1.4-5.mga6
+ Revision: 979530
- First rebuild of the java stack
- sync package jboss-logging with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 3.1.4-1.mga5
+ Revision: 807655
- Sync with Fedora 21 (update to 3.1.4)

* Wed Oct 15 2014 umeabot <umeabot> 3.1.3-4.mga5
+ Revision: 749989
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 3.1.3-2.mga4
+ Revision: 541192
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 3.1.3-1.mga4
+ Revision: 495337
- New version

* Sat Jan 12 2013 umeabot <umeabot> 3.1.0-4.mga3
+ Revision: 355063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 3.1.0-3.mga3
+ Revision: 331811
- Java Stack Mass Rebuild

* Fri Mar 02 2012 dmorgan <dmorgan> 3.1.0-2.mga2
+ Revision: 216971
- Clean spec file

  + gil <gil>
    - update to 3.1.0.GA
    - update to 3.1.0.CR1
    - imported package jboss-logging


* Thu Jul 28 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.0-1
- Initial packaging

